Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.loaders
Class InstanceSupport.Instance

    java.lang.Object
      org.openide.loaders.InstanceSupport.Instance

All Implemented Interfaces:
  InstanceCookie, InstanceCookie.Of, Node.Cookie

Enclosing class:
  InstanceSupport

    public static class InstanceSupport.Instance

extends Object
implements InstanceCookie.Of

Trivial supporting instance cookie for already-existing objects.

Nested Class Summary

Nested classes/interfaces inherited from interface org.openide.cookies.InstanceCookie
`InstanceCookie.Of`

Constructor Summary
`InstanceSupport.Instance(Object obj)` Create a new instance cookie.

Method Summary
`Class` | `instanceClass()`
`Object` | `instanceCreate()`
`String` | `instanceName()`
`boolean` | `instanceOf(Class type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstanceSupport.Instance

    public InstanceSupport.Instance(Object obj)

  Create a new instance cookie.

  Parameters:
    `obj` - the object to represent in this cookie

Method Detail

### instanceName

    public String instanceName()

  Specified by:
    `instanceName` in interface `InstanceCookie`

### instanceClass

    public Class instanceClass()

  Specified by:
    `instanceClass` in interface `InstanceCookie`

### instanceCreate

    public Object instanceCreate()

  Specified by:
    `instanceCreate` in interface `InstanceCookie`

### instanceOf

    public boolean instanceOf(Class type)

  Specified by:
    `instanceOf` in interface `InstanceCookie.Of`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.loaders 5.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.